package mock

import (
	"testing"

	"github.com/stretchr/testify/assert"
)

func TestMockMongoDBUtils(t *testing.T) {
	mock := NewMockMongoDB()

	// Test GetClient
	assert.Nil(t, mock.GetClient())

	// Test Database
	assert.Nil(t, mock.Database("containermom"))

	// Test Disconnect
	assert.NoError(t, mock.Disconnect(nil))

	// Test UpdateDeployment
	err := mock.UpdateDeployment(nil, nil)
	assert.NoError(t, err)
}
